QUASSEL(1)

NAME
quassel — a modern, cross-platform and distributed IRC client

SYNPOSIS
quassel [OPTION]...

DESCRIPTION
Quassel IRC is a modern, cross-platform, distributed IRC client, meaning that one (or multiple) client(s) can attach to and detach from a central core -- much like the popular combination of screen and a text-based IRC client such as WeeChat, but graphical.

quassel provides a standalone IRC client experience, integrating the core and client into a single program. To connect to and manage a running quasselcore, use the quasselclient client program.

COMMON OPTIONS

-c, --configdir=CONFIGDIR
    Specify the directory holding the configuration files, the SQLite database with chat logs, and the SSL/TLS certificate.

-d, --debug
    Enable extra debugging output.

-h, --help
    Show help message.

-L, --loglevel=LOGLEVEL
    Set the logging level to LOGLEVEL: Debug, Info, Warning, Error. Default is: Info

-l, --logfile=LOGFILE
    Log to a file.

--syslog
    Log to syslog.

-v, --version
    Display version information.

CLIENT OPTIONS

--debugbufferswitches
    Enables debugging for bufferswitches.

--debugmodel
    Enables debugging for models.

--hidewindow
    Start the client minimized to the system tray.

--icontheme=THEME
    Override the system icon theme. 'breeze' is recommended. This may also be configured in the client settings.

--qss=QSS
    Load a custom application stylesheet.

INTERNAL CORE OPTIONS
NOTE: These options should not need modified in most cases. Running a separate quasselcore is the recommended way to allow multiple clients to connect to a core.

--add-user
    Starts an interactive session to add a new core user

--change-userpass=USERNAME
    Starts an interactive session to change the password of the user identified by USERNAME.

--config-from-environment
    Load configuration from environment variables, ignoring the configuration file. See the section on ENVIRONMENT VARIABLES.

--debug-irc
    Enable logging of all raw IRC messages to debug log, including passwords! In most cases you should also set --loglevel Debug.

--debug-irc-id=DATABASENETWORKID
    Limit raw IRC logging to this network ID. Implies --debug-irc.

--ident-daemon
    Enable internal ident daemon.

--ident-listen=IDENTLISTEN
    The address(es) quasselcore will listen on for ident requests. Same format as --listen. Only meaningful with --ident-daemon. Default is: ::1,127.0.0.1 (only localhost)

--ident-port=IDENTPORT
    The port the quasselcore will listen at for ident requests. Only meaningful with --ident-daemon. Default is: 10113

--listen=LISTEN
    The address(es) quasselcore will listen on when --port is specified. Default is: ::,0.0.0.0 (all addresses)

-n, --norestore
    Don't restore last core's state, such as previously connected networks.

--oidentd
    Enable oidentd integration. In most cases you should also enable --strict-ident.

--oidentd-conffile=OIDENTCONF
    Set path to oidentd configuration file.

-p, --port=PORT
    The port the internal quasselcore will listen at. If not specified, the internal core will not accept connections from other clients.

--require-ssl
    Require SSL for remote (non-loopback) client connections.

--select-authenticator=AUTHENTICATOR
    Starts an interactive session to switch your current user authentication backend to the new one.

--select-backend=BACKEND
    Starts an interactive session to switch your current storage backend to the new one. Attempts a merge if the new backend is uninitialized and the old backend supports migration, otherwise prompts for new user credentials.

--ssl-cert=SSLCERTFILE
    Specify the path to the SSL certificate. Reloaded when quasselcore is sent a SIGHUP. Default is: CONFIGDIR/quasselCert.pem

--ssl-key=SSLKEYFILE
    Specify the path to the SSL key. Reloaded when quasselcore is sent a SIGHUP. Only needed if not combined with the SSL certificate.

--strict-ident
    Use users' quasselcore username as ident reply. Ignores each user's configured ident setting. Useful for multi-user quasselcores connecting to IRC networks that require a fixed identifier for each user.

ENVIRONMENT
When --config-from-environment is specified, the quasselcore will use the following environment variables instead of the configuration file. This may be useful for container setups or automated deployment.

AUTH_AUTHENTICATOR
    Specifies the selected user authentication backend. See --select-authenticator.

AUTH_LDAP_BASE_DN
    Specifies the LDAP authenticator base DN.

AUTH_LDAP_BIND_DN
    Specifies the LDAP authenticator bind DN.

AUTH_LDAP_BIND_PASSWORD
    Specifies the LDAP authenticator bind password.

AUTH_LDAP_FILTER
    Specifies the LDAP authenticator filter.

AUTH_LDAP_HOSTNAME
    Specifies the LDAP authenticator connection hostname.

AUTH_LDAP_PORT
    Specifies the LDAP authenticator connection port.

AUTH_LDAP_UID_ATTRIBUTE
    Specifies the LDAP authenticator UID attribute.

DB_BACKEND
    Specifies the selected database backend. See --select-backend.

DB_PGSQL_DATABASE
    Specifies the Postgres connection database name.

DB_PGSQL_HOSTNAME
    Specifies the Postgres connection hostname.

DB_PGSQL_USERNAME
    Specifies the Postgres connection username.

DB_PGSQL_PASSWORD
    Specifies the Postgres connection user password.

DB_PGSQL_PORT
    Specifies the Postgres connection port.

FILES

$HOME/.config/quassel-irc.org
    Configuration files, SQLite database with chat logs, and the SSL/TLS certificate. To override, see --configdir.

AUTHORS
The full list of Quassel IRC authors and contributors may be seen in the client's About window.

This manual page was written by Thomas Mueller <thomas.mueller@tmit.eu> and updated by Shane Synan <digitalcircuit36939+deb@gmail.com>, for the Debian GNU/Linux system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License version 2 or any later version published by the Free Software Foundation.